dictReleaseLock(3)

NAME
dictReleaseLock - release lock on value.

SYNOPSIS
#include <util/dict.h> void dictReleaseLock(dictCtx dict, void *lock);

ARGUMENTS
dict - dictionary containing value to release.
lock - lock to release.

DESCRIPTION
Releases the lock on the value associated with <lock>. Once the lock is released, the dictCleanupFunc callback can be called for the value (see dictCleanup()). MT-Level: Safe if <dict> thread-safe.

RETURN VALUE
None.

SEE ALSO
dictDestroy(3), dictCleanup(3), dictReleaseLock(3), dictRemove(3), dictNext(3), dictCreate(3), dictSetValue(3), dictModifyValue(3), dictSearch